> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get expenses

> Get all expenses for the authenticated user, for the current year



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=4&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v4/expenses/expenses
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Expenses
  - name: Revenue
  - name: Business & Client Management
  - name: Invoicing
  - name: Reports
  - name: Taxes
  - name: Accounting
  - name: Investment Incomes
paths:
  /v4/expenses/expenses:
    get:
      tags:
        - Expenses
      summary: Get expenses
      description: Get all expenses for the authenticated user, for the current year
      operationId: getExpensesV4
      parameters:
        - name: lastUpdatedDate
          in: query
          description: Date filter - returns all records modified after the specified date
          schema:
            type: string
          example: '2021-05-05'
        - name: year
          in: query
          description: >-
            Year filter (YYYY) - returns all records for the specified year.
            Null will use the current year
          schema:
            type: integer
            format: int32
          example: 2021
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExpenseDTOV4'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    ExpenseDTOV4:
      required:
        - date
        - totalCost
        - type
        - vendorId
      type: object
      properties:
        businessName:
          type: string
          description: Name of this business associated with this expense
        id:
          type: integer
          description: Id of the expense record, required when updating existing expense
          format: int64
        type:
          type: string
          description: Type of the expense, required to create an expense
          example: BUSINESS
          enum:
            - BUSINESS
            - NOT_BUSINESS
        date:
          type: string
          description: Date of the expense
          format: date-time
        totalCost:
          type: number
          description: Total Cost of the expense, required to create an expense
          example: 50.01
        businessId:
          type: integer
          description: >-
            Id of business assigned to this expense, required for BUSINESS
            expenses
          format: int64
        clientId:
          type: integer
          description: Id of client assigned to this expense
          format: int64
        categoryId:
          type: integer
          description: Category Id of the expense, required for BUSINESS expenses
          format: int64
        personalCategoryId:
          type: integer
          description: Id of the personal category associated with this expense
          format: int64
        vendorId:
          type: integer
          description: Vendor Id associated with the expense, required to create an expense
          format: int64
        vendorName:
          type: string
          description: Name of this vendor associated with this expense
          example: United Airlines
        description:
          type: string
          description: Description of expense
          example: Gas purchase
        pendingExpenseId:
          type: integer
          description: The id of the PendingExpense associated with this expense
          format: int64
        isPaid:
          type: boolean
          description: Is expense paid, if not passed it will be defaulted true
        status:
          type: string
          description: Status of the expense
          example: ACTIVE
          enum:
            - ACTIVE
            - DELETED
        salesTaxAmount:
          type: number
          description: Sales Tax Amount for the expense
          example: 1.01
        state:
          type: string
          description: State value for expense sales tax amount
          example: DC
          enum:
            - UNKNOWN
            - AL
            - AK
            - AS
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DE
            - DC
            - FM
            - FL
            - GA
            - GU
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MH
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - MP
            - OH
            - OK
            - OR
            - PW
            - PA
            - PR
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VI
            - VA
            - WA
            - WV
            - WI
            - WY
            - AB
            - BC
            - MB
            - NB
            - NL
            - NT
            - NS
            - NU
            - 'ON'
            - PE
            - QC
            - SK
            - YT
        frequency:
          type: string
          description: Frequency of the expense
          example: ONE_TIME
          enum:
            - ONE_TIME
            - WEEKLY
            - MONTHLY
            - YEARLY
        apiExpenseId:
          type: string
          description: Id of the expense record on associated API
        plaidItemAccountId:
          type: integer
          description: Foreign key to PlaidItemAccount
          format: int64
        plaidAccountNo:
          type: string
          description: The mask of the user's bank account
        plaidDisplayName:
          type: string
          description: Plaid's display name for this expense
          example: Citi Premier® Card
        plaidInstitutionId:
          type: string
          description: Id associated with Plaid institution corresponding to this expense
        lastUpdatedDate:
          type: string
          format: date-time
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````